{id}: Get a single node

API: openstreetmap.org:openstreetmap-api
Endpoint: /node/{id}
Response format: unknown
Auth: unknown
Method: GET
Last Status: 200
Latency: 192ms

Description

Returns the full details of a single node by ID

Parameters (1)

id (integer, path, required)

The node ID

Examples (1)

Get a single node openapi-spec
curl 'https://api.openstreetmap.org/api/0.6/node/1'
import requests

resp = requests.get("https://api.openstreetmap.org/api/0.6/node/1")
data = resp.json()
import zingu_apis

api = zingu_apis.api("openstreetmap")
result = api.fetch("node/{id}")

for item in result:
    print(item)
const resp = await fetch("https://api.openstreetmap.org/api/0.6/node/1");
const data = await resp.json();

Probe History

Latency

Status Codes

TimeStatusLatencySize
2026-04-16 03:26:07.915593 200 192ms
2026-04-15 03:16:54.332288 200 188ms
2026-04-14 00:54:35.034848 200 212ms
2026-04-12 16:12:16.823969 200 203ms
2026-04-10 00:33:03.201665 200 213ms